### Method

# Gimp Drawable merge_shadow

#### Declaration [src]

    gboolean
    gimp_drawable_merge_shadow (
      GimpDrawable* drawable,
      gboolean undo
    )

#### Description [src]

Merge the shadow buffer with the specified drawable.

This procedure combines the contents of the drawable’s shadow buffer (for temporary processing) with the specified drawable. The ‘undo’ parameter specifies whether to add an undo step for the operation. Requesting no undo is useful for such applications as ‘auto-apply’.

#### Parameters

`undo`

  Type: `gboolean`

  Push merge to undo stack?

#### Return value

Type: `gboolean`

TRUE on success.